Index: fixing_redirects.py
===================================================================
--- fixing_redirects.py	(revision 5059)
+++ fixing_redirects.py	(working copy)
@@ -22,6 +22,7 @@
 
 msg = {
     'en': u'Bot: Fixing redirects',
+    'fr': u'Robot : Corrige les liens pointants sur des redirections',
     'he': u'בוט: מתקן הפניות',
     'ja': u'ロボットによる:リダイレクト回避',
     'pt': u'Bot: Arrumando redirects',
@@ -101,7 +102,11 @@
         if link_text[0].isupper():
             new_page_title = targetPage.title()
         else:
-            new_page_title = targetPage.title()[0].lower() + targetPage.title()[1:]
+            new_page_title = targetPage.title()[0].upper() + targetPage.title()[1:]
+        if targetPage.isCategory():
+            new_page_title = ":" + new_page_title
+        if targetPage.isImage():
+            new_page_title = ":" + new_page_title
         if replaceit and trailing_chars:
             newlink = "[[%s%s]]%s" % (new_page_title, section, trailing_chars)
         elif replaceit or (new_page_title == link_text and not section):
@@ -147,6 +152,8 @@
                 start = arg[7:]
         elif arg == '-featured':
             featured = True
+        elif arg == '-start':
+            start = True
         elif arg.startswith('-page'):
             if len(arg) == 5:
                 title = wikipedia.input(u'Which page should be processed?')
@@ -167,6 +174,11 @@
         generator = pagegenerators.NamespaceFilterPageGenerator(gen, [0])
         for page in generator:
             workon(page)
+    elif start:
+        firstPageTitle = arg[7:]
+        generator = pagegenerators.AllpagesPageGenerator(firstPageTitle);
+        for page in generator:
+            workon(page)
     elif title is not None:
         page = wikipedia.Page(wikipedia.getSite(), title)
         workon(page)
